[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 1.1 General Options

Regardless of whatever other command line parameters are given, `avram` accepts the following parameters:

`-h, --help`

  Show a summary of options and exit.

`-V,-v, --version`

  Show the version of program and a short copyleft message and exit.

`--emulation=version`

  Be backward compatible with an older version of `avram`. This option should include a valid version number, for example `0.13.0`, which is the version of `avram` to be emulated. It can make virtual code applications future proof, assuming that future versions of `avram` correctly support backward compatibility. It may be used in conjunction with any other option in any mode of operation. This copy of the user manual has not been updated since version 0.13.0 of `avram`, so it is unable to document incompatibilities with later versions. The latest version of the manual may be found at http://www.lsbu.ac.uk/~fureyd/avram.

`-e, --external-libraries`

  Show a list of libraries with which `avram` has been linked and whose functions therefore could be called from virtual machine programs. This growing list currently includes selected functions from `fftw`, `glpk`, `gsl`, `kinsol`, `lapack`, `minpack`, `mpfr`, `lpsolve`, `Rmath` and `ufsparse` (see Preface) which are documented further in External Libraries.

`-j, --jail`

  This option disables execution of shell commands by virtual code applications, which is normally possible by default even for nominally non-interactive applications (see Parameter Mode Options). A virtual code application attempting to spawn a shell (using the `interact` combinator) when this option is selected will encounter an exception rather than successful completion of the operation. This option is provided as a security feature for running untrusted code (see Security), and is incompatible with ‘`-i`’, ‘`-t`’, and ‘`-s`’.

`-f, --force-text-input`

  Normally `avram` will try to guess by looking at a file whether it is an ordinary text file or one that has been written in the virtual code file format, and choose a different internal representation accordingly. An application may require one representation or the other. This option tells `avram` to treat all input files other than the virtual code file (named in the first command line parameter) as text files regardless of whether or not it would be possible to interpret them otherwise. This option may be used in combination with any other option.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

This document was generated on November 8, 2012 using texi2html 1.82.